Debian Bug report logs - #328798
RM: xlispstat -- RoM; old, superseded by R

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>

Date: Sat, 17 Sep 2005 14:03:27 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Douglas Bates <bates@stat.wisc.edu>:
Bug#328798; Package xlispstat. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
New Bug report received and forwarded. Copy sent to Douglas Bates <bates@stat.wisc.edu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: submit@bugs.debian.org
Subject: very old package, should this be removed?
Date: Sat, 17 Sep 2005 14:11:37 +0200
Package: xlispstat
Version: 3.52.18-1.1
Severity: serious

Hi,

During the Debian QA meeting hold during Sept. 09th till 11th, we
decided that looking at packages that haven't been uploaded for a very
long time could cover up some QA problems.

I've done this now and your package showed up on the list. I propose
to remove it.
The package is very out of date wrt Debian's policies, has not many
users. There is a "newer" (== 2003) upstream version, but the
development seems to be stalled nowadays.


This usually means that your package matched some of the following
criteria:

 [1] Your packages has not had a maintainer upload for more than
     three years.

 [2] has one or more RC bugs with no answer from the maintainer (**)

 [3] the state of your packages in general seems to indicate that you
     might be MIA 

 [4] (if we propose a removal) it shows in popcon as having less than
     100 users with the package installed.

 [5] the package was not released with sarge

and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.

(**) The maintainer not answering to RC bugs refers to bugs filed
more than one month before the time the check was performed.

After 7 days without answer from you (the maintainer) we will reassign
this bug to either WNPP (in case we propose to orphan it) or
ftp.debian.org (in case we propose to remove it).

The package will need an upload or an explanation for this action not to
proceed.

Please do *not* upload a package just to get off this list - it won't
help the package at all. Maintainers should be responsive and feel
responsible for their packages without needing other people to force
them to do work. Sometimes, finding a new maintainer or even removing
the package completly from the archive is better for Debian's users. 

Thanks!

Marc




Information forwarded to debian-bugs-dist@lists.debian.org, Douglas Bates <bates@stat.wisc.edu>:
Bug#328798; Package xlispstat. Full text and rfc822 format available.

Acknowledgement sent to Douglas Bates <dmbates@gmail.com>:
Extra info received and forwarded to list. Copy sent to Douglas Bates <bates@stat.wisc.edu>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Douglas Bates <dmbates@gmail.com>
To: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>, 328798@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#328798: very old package, should this be removed?
Date: Tue, 20 Sep 2005 15:17:00 -0500
It is fine with me to remove the package from the distribution.  As
you point out the upstream development is stalled and is unlikely to
be restarted.  Most of the people who would have used xlispstat are
now using R, which is available in the actively maintained r-base
package and associated packages.

Is it best for me to file the removal request or can it be done by the QA team?

On 9/17/05, Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> wrote:
> Package: xlispstat
> Version: 3.52.18-1.1
> Severity: serious
>
> Hi,
>
> During the Debian QA meeting hold during Sept. 09th till 11th, we
> decided that looking at packages that haven't been uploaded for a very
> long time could cover up some QA problems.
>
> I've done this now and your package showed up on the list. I propose
> to remove it.
> The package is very out of date wrt Debian's policies, has not many
> users. There is a "newer" (== 2003) upstream version, but the
> development seems to be stalled nowadays.
>
>
> This usually means that your package matched some of the following
> criteria:
>
>  [1] Your packages has not had a maintainer upload for more than
>      three years.
>
>  [2] has one or more RC bugs with no answer from the maintainer (**)
>
>  [3] the state of your packages in general seems to indicate that you
>      might be MIA
>
>  [4] (if we propose a removal) it shows in popcon as having less than
>      100 users with the package installed.
>
>  [5] the package was not released with sarge
>
> and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.
>
> (**) The maintainer not answering to RC bugs refers to bugs filed
> more than one month before the time the check was performed.
>
> After 7 days without answer from you (the maintainer) we will reassign
> this bug to either WNPP (in case we propose to orphan it) or
> ftp.debian.org (in case we propose to remove it).
>
> The package will need an upload or an explanation for this action not to
> proceed.
>
> Please do *not* upload a package just to get off this list - it won't
> help the package at all. Maintainers should be responsive and feel
> responsible for their packages without needing other people to force
> them to do work. Sometimes, finding a new maintainer or even removing
> the package completly from the archive is better for Debian's users.
>
> Thanks!
>
> Marc
>
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Douglas Bates <bates@stat.wisc.edu>:
Bug#328798; Package xlispstat. Full text and rfc822 format available.

Acknowledgement sent to Douglas Bates <dmbates@gmail.com>:
Extra info received and forwarded to list. Copy sent to Douglas Bates <bates@stat.wisc.edu>. Full text and rfc822 format available.

Changed Bug title. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xlispstat' to `ftp.debian.org'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#328798; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #26 received at 328798-quiet@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Douglas Bates <dmbates@gmail.com>
Cc: 328798-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#328798: very old package, should this be removed?
Date: Tue, 20 Sep 2005 22:29:19 +0200
[Message part 1 (text/plain, inline)]
retitle 328798 RM: xlispstat -- RoM; old, superseded by R
severity 328798 normal
reassign 328798 ftp.debian.org
thankskbye

Douglas Bates <dmbates@gmail.com> writes:
> It is fine with me to remove the package from the distribution.  As
> you point out the upstream development is stalled and is unlikely to
> be restarted.  Most of the people who would have used xlispstat are
> now using R, which is available in the actively maintained r-base
> package and associated packages.

OK, thanks for the info.

> Is it best for me to file the removal request or can it be done by the
> QA team? 

I'm reassigning this bug to notify the ftp-team.

Marc
-- 
BOFH #17:
fat electrons in the lines
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 328798-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 328798-close@bugs.debian.org
Cc: xlispstat@packages.debian.org, xlispstat@packages.qa.debian.org
Subject: Bug#328798: fixed
Date: Tue, 20 Sep 2005 14:25:10 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 xlispstat | 3.52.18-1.1 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328798@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:49:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:45:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.